SQLITE3_SOFT_HEAP_LIMIT(3) | Library Functions Manual | SQLITE3_SOFT_HEAP_LIMIT(3)

# NAME

`sqlite3_soft_heap_limit` — deprecated soft heap limit interface

# SYNOPSIS

`#include <sqlite3.h>`

void
`sqlite3_soft_heap_limit`(int N);

# DESCRIPTION

This is a deprecated version of the `sqlite3_soft_heap_limit64`() interface. This routine is provided for historical compatibility only. All new applications should use the `sqlite3_soft_heap_limit64`() interface rather than this one.

# IMPLEMENTATION NOTES

These declarations were extracted from the interface documentation at line 7036.

    SQLITE_API SQLITE_DEPRECATED void sqlite3_soft_heap_limit(int N);

# SEE ALSO

sqlite3_soft_heap_limit64(3)

January 24, 2024 | NetBSD 11.0